com.amarula.rp1600.sdk

## Class DebugLog

- java.lang.Object
- - com.amarula.rp1600.sdk.DebugLog

-     public class DebugLog
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugLog()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `d(java.lang.String tag, java.lang.String msg)`
    `static int` | `e(java.lang.String tag, java.lang.String msg)`
    `static int` | `e(java.lang.String tag, java.lang.String msg, java.lang.Throwable tr)`
    `static int` | `i(java.lang.String tag, java.lang.String msg)`
    `static boolean` | `setlog(boolean blog)`
    `static int` | `v(java.lang.String tag, java.lang.String msg)`
    `static int` | `w(java.lang.String tag, java.lang.String msg)`
    `static int` | `w(java.lang.String tag, java.lang.String msg, java.lang.Throwable tr)`
    `static int` | `w(java.lang.String tag, java.lang.Throwable tr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugLog

          public DebugLog()

  - ### Method Detail

    - #### setlog

          public static boolean setlog(boolean blog)

    - #### i

          public static int i(java.lang.String tag,
                              java.lang.String msg)

    - #### w

          public static int w(java.lang.String tag,
                              java.lang.String msg)

    - #### w

          public static int w(java.lang.String tag,
                              java.lang.Throwable tr)

    - #### w

          public static int w(java.lang.String tag,
                              java.lang.String msg,
                              java.lang.Throwable tr)

    - #### e

          public static int e(java.lang.String tag,
                              java.lang.String msg)

    - #### e

          public static int e(java.lang.String tag,
                              java.lang.String msg,
                              java.lang.Throwable tr)

    - #### d

          public static int d(java.lang.String tag,
                              java.lang.String msg)

    - #### v

          public static int v(java.lang.String tag,
                              java.lang.String msg)